#-- copyright
#OpenProject is an open source project management software.
#Copyright (C) 2023 Ben Tey
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License version 3.
#OpenProject is a fork of ChiliProject, which is a fork of Redmine. The copyright follows:
#Copyright (C) 2006-2013 Jean-Philippe Lang
#Copyright (C) 2010-2013 the ChiliProject Team
#Copyright (C) the OpenProject GmbH
#This program is free software; you can redistribute it and/or
#modify it under the terms of the GNU General Public License
#as published by the Free Software Foundation; either version 2
#of the License, or (at your option) any later version.
#This program is distributed in the hope that it will be useful,
#but WITHOUT ANY WARRANTY; without even the implied warranty of
#MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#GNU General Public License for more details.
#You should have received a copy of the GNU General Public License
#along with this program; if not, write to the Free Software
#Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
#See docs/COPYRIGHT.rdoc for more details.
#++
it:
  activerecord:
    errors:
      models:
        gitlab_issue:
          attributes:
            labels:
              invalid_schema: "deve essere un array di hash con le chiavi: colore, titolo"
        gitlab_merge_request:
          attributes:
            labels:
              invalid_schema: "deve essere un array di hash con le chiavi: colore, titolo"
  project_module_gitlab: "GitLab"
  permission_show_gitlab_content: "Mostra il contenuto di GitLab"
  gitlab_integration:
    merge_request_opened_comment: >
      **MR aperta:** La richiesta di merge %{mr_number} [%{mr_title}](%{mr_url}) per [%{repository}](%{repository_url}) è stata aperta da [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_closed_comment: >
      **MR chiusa:** La richiesta di merge %{mr_number} [%{mr_title}](%{mr_url}) per [%{repository}](%{repository_url}) è stata chiusa da [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_merged_comment: >
      **MR effettuata:** La richiesta di merge %{mr_number} [%{mr_title}](%{mr_url}) per [%{repository}](%{repository_url}) è stata effettuata da [%{gitlab_user}](%{gitlab_user_url}).
    merge_request_reopened_comment: >
      **MR riaperta:** La richiesta di merge %{mr_number} [%{mr_title}](%{mr_url}) per [%{repository}](%{repository_url}) è stata riaperta da [%{gitlab_user}](%{gitlab_user_url}).
    note_commit_referenced_comment: >
      **Citazione in Commit:** [%{gitlab_user}](%{gitlab_user_url}) ha referenziato questa macro-attività in una nota di commit [%{commit_id}](%{commit_url}) su [%{repository}](%{repository_url}): %{commit_note}
    note_mr_referenced_comment: >
      **Citazione in MR:** [%{gitlab_user}](%{gitlab_user_url}) ha inserito un riferimento a questa macro-attività nella richiesta di merge %{mr_number} [%{mr_title}](%{mr_url}) su [%{repository}](%{repository_url}): %{mr_note}
    note_mr_commented_comment: >
      **Commento in MR:** [%{gitlab_user}](%{gitlab_user_url}) ha commentato questa macro-attività nella richiesta di merge %{mr_number} [%{mr_title}](%{mr_url}) su [%{repository}](%{repository_url}): %{mr_note}
    note_issue_referenced_comment: >
      **Citazione nel problema:** [%{gitlab_user}](%{gitlab_user_url}) ha inserito un riferimento a questa macro-attività nel problema %{issue_number} [%{issue_title}](%{issue_url}) su [%{repository}](%{repository_url}): %{issue_note}
    note_issue_commented_comment: >
      **Commento nel problema:** [%{gitlab_user}](%{gitlab_user_url}) ha commentato questa macro-attività nel problema %{issue_number} [%{issue_title}](%{issue_url}) su [%{repository}](%{repository_url}): %{issue_note}
    note_snippet_referenced_comment: >
      **Citazione nel frammento di codice:** [%{gitlab_user}](%{gitlab_user_url}) ha inserito un riferimento a questa macro-attività nel frammento di codice %{snippet_number} [%{snippet_title}](%{snippet_url}) on [%{repository}](%{repository_url}): %{snippet_note}
    issue_opened_referenced_comment: >
      **Problema aperto:** Il problema %{issue_number} [%{issue_title}](%{issue_url}) per [%{repository}](%{repository_url}) è stato aperto da [%{gitlab_user}](%{gitlab_user_url}).
    issue_closed_referenced_comment: >
      **Problema chiuso:** Il problema %{issue_number} [%{issue_title}](%{issue_url}) per [%{repository}](%{repository_url}) è stato chiuso da [%{gitlab_user}](%{gitlab_user_url}).
    issue_reopened_referenced_comment: >
      **Problema riaperto:** Il problema %{issue_number} [%{issue_title}](%{issue_url}) per [%{repository}](%{repository_url}) è stato riaperto da [%{gitlab_user}](%{gitlab_user_url}).
    push_single_commit_comment: >
      **Push in MR:** [%{gitlab_user}](%{gitlab_user_url}) ha effettuato un push [%{commit_number}](%{commit_url}) a [%{repository}](%{repository_url}) il %{commit_timestamp}: %{commit_note}
    push_single_commit_comment_with_ref: >
      **Push in %{reference}:** [%{gitlab_user}](%{gitlab_user_url}) ha effettuato un push [%{commit_number}](%{commit_url}) a [%{repository}](%{repository_url}) il %{commit_timestamp}: %{commit_note}
    push_multiple_commits_comment: >
      **Push in MR:** [%{gitlab_user}](%{gitlab_user_url}) ha effettuato diversi commit [%{commit_number}](%{commit_url}) a [%{repository}](%{repository_url}) il %{commit_timestamp}: %{commit_note}
